import service from '@/utils/request'

export const getProjectList = () => {
  return service({
    url: '/project/getProjectListByUserID',
    method: 'get'
  })
}

export const getScreensList = (data) => {
  return service({
    url: '/screens/getScreensList',
    method: 'post',
    data: data
  })
}

export const addScreens = (data) => {
  return service({
    url: '/screens/addScreens',
    method: 'post',
    data: data
  })
}

export const updateScreens = (data) => {
  return service({
    url: '/screens/updateScreens',
    method: 'put',
    data: data
  })
}

export const delScreens = (data) => {
  return service({
    url: '/screens/delScreens',
    method: 'delete',
    data: data
  })
}
